﻿#region License Informtion
/* This program simulates objects path of motion.
 * Copyright (C) 2010  Timothy Eck II
 * 
 * Physics Simulator is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; version 2 of the License.
 * 
 * Physics Simulator is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.*/
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PhysicsSimulator.Engine
{
    class CollisionData
    {
        List<string> _collidedWith;
        bool _collisionOccurred;
        int _collisionCount;

        #region Properties
        /// <summary>
        /// Gets or sets the objects collided with.
        /// </summary>
        /// <value>The collided with.</value>
        public List<string> CollidedWith
        {
            get { return _collidedWith; }
            set { _collidedWith = value; }
        }

        /// <summary>
        /// Gets or sets a value indicating whether [collision occurred].
        /// </summary>
        /// <value><c>true</c> if [collision occurred]; otherwise, <c>false</c>.</value>
        public bool CollisionOccurred
        {
            get { return _collisionOccurred; }
            set { _collisionOccurred = value; }
        }

        /// <summary>
        /// Gets or sets the collision count.
        /// </summary>
        /// <value>The collision count.</value>
        public int CollisionCount
        {
            get { return _collisionCount; }
            set { _collisionCount = value; }
        }
        #endregion
    }
}
