﻿#region License Informtion
/* This program simulates objects path of motion.
 * Copyright (C) 2010  Timothy Eck II
 * 
 * Physics Simulator is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; version 2 of the License.
 * 
 * Physics Simulator is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.*/
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PhysicsSimulator.Engine
{
    class ThreadedLoopSettings
    {
        int _currentObjectIndex;
        int _firstObjectToCheck;
        int _lastObjectToCheck;

        #region Properties
        /// <summary>
        /// Gets or sets the index of the current object.
        /// </summary>
        /// <value>The index of the current object.</value>
        public int CurrentObjectIndex
        {
            get { return _currentObjectIndex; }
            set { _currentObjectIndex = value; }
        }

        /// <summary>
        /// Gets or sets the first object to check.
        /// </summary>
        /// <value>The first object to check.</value>
        public int FirstObjectToCheck
        {
            get { return _firstObjectToCheck; }
            set { _firstObjectToCheck = value; }
        }

        /// <summary>
        /// Gets or sets the last object to check.
        /// </summary>
        /// <value>The last object to check.</value>
        public int LastObjectToCheck
        {
            get { return _lastObjectToCheck; }
            set { _lastObjectToCheck = value; }
        }
        #endregion
    }
}
