﻿#region License Informtion
/* This program simulates objects path of motion.
 * Copyright (C) 2010  Timothy Eck II
 * 
 * Physics Simulator is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; version 2 of the License.
 * 
 * Physics Simulator is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.*/
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PhysicsSimulator.Engine;

namespace PhysicsSimulator
{
    public partial class AddForceForm : PhysicsSimulator.BaseAdditionForm
    {
        public AddForceForm()
        {
            InitializeComponent();
        }

        private void submitButton_Click(object sender, EventArgs e)
        {
            PhysicsSimulator.Engine.Force2 force = new Engine.Force2();
            double tempValue;
            bool valideForm = true;

            Vector2 affectedArea = new Vector2();
            Vector2 acceleration = new Vector2();
            
            /*Creates the affected area vector*/
            if (!double.TryParse(beggingTextBox.Text, out tempValue))
                valideForm = false;
            else
                affectedArea.XValue = tempValue;

            if (!double.TryParse(endTextBox.Text, out tempValue))
                valideForm = false;
            else
                affectedArea.YValue = tempValue;

            /*Creates the acceleration vector*/
            if (!double.TryParse(xAccelerationTextBox.Text, out tempValue))
                valideForm = false;
            else
                acceleration.XValue = tempValue;

            if (!double.TryParse(yAccelerationTextBox.Text, out tempValue))
                valideForm = false;
            else
                acceleration.YValue = tempValue;

            // Yaa!!! more validation code

            if (valideForm)
            {

                force.Name = forceNameTextBox.Text;
                force.WorldForce = worldForceCheckBox.Checked;

                force.AffectedArea = affectedArea;
                force.Acceleration = acceleration;
                force.Active = activeCheckBox.Checked;

                modifySettings(force);
                Close();
            }
            else
            {
                MessageBox.Show("The form is not fill out correctly. " +
                    "Please make sure that you only use letters in the correct fields. " +
                    "Once you have corrected the mistakes try resubmit the form");
            }
        }
    }
}
