﻿#region License Informtion
/* This program simulates objects path of motion.
 * Copyright (C) 2010  Timothy Eck II
 * 
 * Physics Simulator is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; version 2 of the License.
 * 
 * Physics Simulator is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.*/
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PhysicsSimulator.Engine;

namespace PhysicsSimulator
{
    public partial class AddObjectForm : PhysicsSimulator.BaseAdditionForm
    {
        public AddObjectForm()
        {
            InitializeComponent();
        }

        private void submitButton_Click(object sender, EventArgs e)
        {
            bool valideForm = true;
            double tempValue;

            Engine.PhysicsObject2 pObject = new Engine.PhysicsObject2();

            Vector2 position = new Vector2();
            Vector2 velocity = new Vector2();

            if (!double.TryParse(objectMassTextBox.Text, out tempValue))
                valideForm = false;
            else
            {
                if (tempValue <= 0)
                    valideForm = false;
                else
                    pObject.Mass = tempValue;
            }

            if (!double.TryParse(objectXPositionTextBox.Text, out tempValue))
                valideForm = false;
            else
                position.XValue = tempValue;

            if (!double.TryParse(objectYPositionTextBox.Text, out tempValue))
                valideForm = false;
            else
                position.YValue = tempValue;

            if (!double.TryParse(objectXVelocityTextBox.Text, out tempValue))
                valideForm = false;
            else
                velocity.XValue = tempValue;

            if (!double.TryParse(objectYVelocityTextBox.Text, out tempValue))
                valideForm = false;
            else
                velocity.YValue = tempValue;

            //ps validating forms are annoying, if people would just fill them out correctly in the first place, my good time wouldn't
            //be wasted writing obnoxious code to make sure that someone didn't put a letter in a field that wants a number

            if (valideForm)
            {
                pObject.Name = objectNameTextBox.Text;
                pObject.Alive = objectAliveCheckBox.Checked;

                pObject.Position = position;
                pObject.Velocity = velocity;

                modifySettings(pObject);
                Close();
            }
            else
            {
                MessageBox.Show("The form is not fill out correctly. " +
                    "Please make sure that you only use letters in the correct fields. " +
                    "Once you have corrected the mistakes try resubmit the form");
            }
        }
    }
}
