﻿#region License Informtion
/* This program simulates objects path of motion.
 * Copyright (C) 2010  Timothy Eck II
 * 
 * Physics Simulator is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; version 2 of the License.
 * 
 * Physics Simulator is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.*/
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PhysicsSimulator
{
    public partial class AddReportForm : PhysicsSimulator.BaseAdditionForm
    {
        private List<string> _objectNames;

        public AddReportForm(List<string> objectNames)
        {
            InitializeComponent();

            _objectNames = objectNames;
            objectListBox.Items.AddRange(objectNames.ToArray());
        }

        private void submitReportButton_Click(object sender, EventArgs e)
        {
            bool valide = true;

            Reports.ReportSettings reportSettings = new Reports.ReportSettings();

            try
            {
                reportSettings.ObjectName = objectListBox.SelectedItem.ToString();
            }
            catch (Exception ex)
            {
                valide = false;
            }
            reportSettings.RecordCollisionCount = recordCollisionCountCheckBox.Checked;
            reportSettings.RecordObjectsCollideAgainst = recordObjectsCollidedWithCheckBox.Checked;
            reportSettings.RecordPosition = recordPositionCheckBox.Checked;
            reportSettings.RecordVelocity = recordVelocityCheckBox.Checked;

            if (valide)
            {
                modifySettings(reportSettings);
                Close();
            }
            else
            {
                MessageBox.Show("The form is not fill out correctly. " +
                    "Please make sure that you choose an object in the list of objects. " +
                    "Once you have corrected the mistakes try resubmit the form");
            }

        }
    }
}
