﻿#region License Informtion
/* This program simulates objects path of motion.
 * Copyright (C) 2010  Timothy Eck II
 * 
 * Physics Simulator is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; version 2 of the License.
 * 
 * Physics Simulator is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.*/
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PhysicsSimulator
{
    public partial class SimulationForm : Form
    {
        public SimulationForm()
        {
            InitializeComponent();
        }

        private void SimulationForm_Load(object sender, EventArgs e)
        {
            reportsGenLabel.Enabled = false;
            simOverLabel.Enabled = false;
        }

        /// <summary>
        /// Sets up the form to inform the user that the reports are being generated.
        /// </summary>
        public void ReportGenerationStart()
        {
            if (InvokeRequired)
            {
                Invoke(new MethodInvoker(ReportGenerationStart));
            }
            else
            {
                reportsGenLabel.Enabled = true;
                simRunningLabel.Enabled = false;
            }

        }

        /// <summary>
        /// Sets up the form to inform the user that the simulation has ended.
        /// </summary>
        public void SimOver()
        {
            if (InvokeRequired)
            {
                Invoke(new MethodInvoker(SimOver));
            }
            else
            {
                reportsGenLabel.Enabled = false;
                simOverLabel.Enabled = true;
                controlButton.Text = "Close";
            }
        }

        private void controlButton_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}
